/**
 * @file
 * Visual styles for Bartik's node component.
 */

.node__content {
  margin-top: 10px;
}

/* View mode teaser styles. */
.node--view-mode-teaser {
  margin-bottom: 30px;
  padding-bottom: 15px;
  border-bottom: 1px solid #d3d7d9;
}
.node--view-mode-teaser h2 {
  margin-top: 0;
  padding-top: 0.5em;
}
.node--view-mode-teaser h2 a {
  color: #181818;
}
.node--view-mode-teaser.node--sticky {
  padding: 0 15px 15px;
  border: 1px solid #d3d7d9;
  background: #f9f9f9;
  background: rgba(0, 0, 0, 0.024);
}
.node--view-mode-teaser .node__content {
  clear: none;
  font-size: 1em;
  line-height: 1.6;
}

/* Node metadata styles. */
.node__meta {
  margin-bottom: -5px;
  color: #68696b;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 0.857em;
}
.node__meta .field--name-user-picture img {
  float: left; /* LTR */
  margin: 1px 20px 0 0; /* LTR */
  width: 100%;
  height: 100%;
}
[dir="rtl"] .node__meta .field--name-user-picture img {
  float: right;
  margin-right: 0;
  margin-left: 20px;
}

/* Node links styles. */
.node__links {
  text-align: right; /* LTR */
  font-size: 0.93em;
}
[dir="rtl"] .node__links {
  text-align: left;
}

/* Unpublished node styles. */
.node--unpublished {
  padding: 20px 15px 0;
}
.node--unpublished .comment-text .comment-arrow {
  border-right: 1px solid #fff4f4;
  border-left: 1px solid #fff4f4;
}
.node--type-staff .field--type-image{
  width: 30%;
  float: none !important;
}
.field--type-image .field__item{
  
}
.field--type-image .field__item img{
  width: 100%;
  height: 100%;
}
.field--type-file{
  position: absolute;
  font-size: 1.4rem;
}
/*
.field--type-string,
.field--type-text-long,
.field--type-list-string,
.field--type-email{
  float: right;
  width: 66%;  
  font-family: 'Source Sans Variable','Source Sans Pro','Calibri','Open Sans','Helvetica','Arial',sans-serif;
    font-weight: 350;  
    font-size: 1.4rem;  
    text-align: justify;
}
*/
.field--name-field-biography,
.field--name-field-publications-and-papers,
.field--name-field-st,
.field--name-field-research-projects,
.field--name-field-presentations,
.field--name-field-in-the-news,
.field--name-field-committees-served{
  /*width: 100% !important;*/
}
.node--type-staff .text-formatted .field__label,
.node--type-staff .field--name-field-presentations .field__label,
.node--type-staff .field--name-field-courses-taught- .field__label,
.node--type-staff .field--name-field-committees-served .field__label,
.node--type-staff .field--name-field-st .field__label{
  width: fit-content;
  min-width: 200px;
  border-top: 4px solid rgba(160,209,104,0.5);
   padding-top: 6px;
    color: #6d9441;
    font-size: 1.2rem;
    font-weight: 700;
    margin-top: 30px;
    letter-spacing: 2px;
    line-height: 1.35;
   /* position: relative;*/
   text-transform: uppercase;
}

@media only screen and (max-width: 870px){
.field--type-string,
.field--type-text-long,
.field--type-list-string,
.field--type-email,
.field--type-image,
.field--type-image .field__item,
.field--type-file{
  width: 100%;
  margin-top: 0 !important;
  position: relative;
}
}
/*
.field--type-string .field__label,
.field--type-text-long .field__label,
.field--type-list-string .field__label,
.field--type-email .field__label{
  border-top: 4px solid rgba(160,209,104,0.5);
    padding-top: 6px;
    color: #6d9441;
    font-size: 1.2rem;
    font-weight: 700;
    letter-spacing: 2px;
    line-height: 1.35;
    position: relative;
    text-transform: uppercase;
    width: 100%;
}
*/ 
.field--name-field-first-name .visually-hidden,
.field--name-field-middle-name .visually-hidden,
.field--name-field-last-name .visually-hidden,
.field--name-field-salutation .visually-hidden{
 /* display: none;*/
}
.field--name-field-last-name{
  min-width: 30%;
}

.field--name-field-first-name,
.field--name-field-middle-name,
.field--name-field-last-name,
.field--name-field-salutation{
    width: auto;
    float: left;
    color: #1f3762;
    font-weight: 300;
    line-height: 2.3rem;
    font-size: 2.8rem;
    text-decoration: none;
    margin-right: 10px;
    margin-bottom: 20px;
}
.field--name-title{
  display: none;
}

.field--type-file .field__label,
.field--name-field-letter{
  display: none;
}
.node--type-staff .field--name-field-qualification{
  font-size: 2.1rem !important;
}
.node--type-staff .field--name-field-job-title{
  font-weight: 600;
  color: #385ba1;
  font-size: 1.5rem !important;
}

.node--type-staff .field--name-field-qualification,
.node--type-staff .field--name-field-email,
.node--type-staff .field--name-field-department,
.node--type-staff .field--name-field-job-title,
.node--type-staff .field--name-field-at,
.node--type-staff .field--name-field-courses-taught-,
.node--type-staff .field--name-field-office-hours,
.node--type-staff .text-formatted,
.node--type-staff .field--name-field-committees-served,
.node--type-staff .field--name-field-st,
.node--type-staff .field--name-field-campus,
.node--type-staff .field--name-field-mobile-contact{
  width: 67%;
  float: right;
  font-size: 1.4rem;
}
@media only screen and (max-width: 870px){
.node--type-staff .field--name-field-email,
.node--type-staff .field--name-field-department,
.node--type-staff .field--name-field-job-title,
.node--type-staff .field--name-field-at,
.node--type-staff .field--name-field-courses-taught-,
.node--type-staff .field--name-field-office-hours,
.node--type-staff .text-formatted,
.node--type-staff .field--name-field-mobile-contact,
.node--type-staff .field--name-field-campus,
.node--type-staff .field--name-field-committees-served,
.node--type-staff .field--name-field-st,
.node--type-staff .field--name-field-qualification{
  width: 100%;
  float: left;
 /* font-size: 1.4rem;*/
}
}

.node--type-staff .field--name-field-biography .field__label{
   border-top: 4px solid rgba(160,209,104,0.5);
   padding-top: 6px;
    color: #6d9441;
    font-size: 1.2rem;
    font-weight: 700;
    margin-top: 30px;
    letter-spacing: 2px;
    line-height: 1.35;
   /* position: relative;*/
    text-transform: uppercase;
}
